Subject: Re: bug#58580: 29.0.50; Ahead-of-time compilation for a few more files?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Oct 2022 13:16:20 +0300

> Cc: Andrea Corallo <[email-masked]>
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 17 Oct 2022 11:11:22 +0200
> 
> I wonder whether we should AOT a few more files by default.  I think we
> should probably aim for a typical user not seeing compilation firing off
> on normal usage, but what's "normal usage" anyway?

Indeed, what is "normal usage"?

> In any case, "emacs -Q" and then `C-x C-b' gives me this:
> 
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-lib.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-extra.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/help-mode.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/gv.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-macs.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-seq.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/rx.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/subr-x.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/icons.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/warnings.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/display-line-numbers.el...
> Compilation finished.
> 
> This suggests to me that we should AOT a bunch of these libraries
> (rx/subr-x/etc) by default that are virtually impossible to use Emacs
> without.

Try with -nw, and you will see more.  is that also "normal usage"?

In Emacs 28 we added several files to AOT for that reason, but AFAIR
they were removed on master.